Bug 211126 - Kernel Panic RIP: 0010:[< ffffffff802a61e7>] <ffffffff802a61e7>{__kfree_skb+181}
Kernel Panic RIP: 0010:[< ffffffff802a61e7>] <ffffffff802a61e7>{__kfree_skb+181}
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 11:28 EDT by Benedikt Schaefer
Modified: 2014-06-18 04:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.9-55.0.2.
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 16:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benedikt Schaefer 2006-10-17 11:28:18 EDT
Description of problem:
system crash with Kernel Panic RIP: 0010:[< ffffffff802a61e7>]
<ffffffff802a61e7>{__kfree_skb+181}

Version-Release number of selected component (if applicable):
Server: TYAN TX46 (S4881) with 4 CPUs, 32GB PC3200 Mem und two SCSI HDDs (Raid1)
        Extension cards: 2 x LSI PCI-X single channel scsi card
                         1 x myrinet PCI-X single 
        BIOS ver.106
        OS: RHEL4U2 with kernel 2.6.9-34.ELsmp

How reproducible:
Server crashs under pamcrash job

Steps to Reproduce:
1.
2.
3.
  
Actual results:
kernel panic

Expected results:
no kernel panic

Additional info:
        RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
RPC: error 5 connecting to server mdoccn02 
nfs_statfs: statfs error = 5 
RPC: error 5 connecting to server mdoccn02 
nfs_statfs: statfs error = 5 
general protection fault: 0000 [1]  nfsd exportfs md5 ipv6 ipmi_devintf
ipmi_si ipmi_msghandler netconsole netdump autofs4 i2c_dev i2c_core nfs
lockd nfs_acl gm(U) sunrpc ds yenta_socket pcmcia_core dm_mirror dm_mod
button battery ac ohci_hcd ehci_hcd tg3 floppy mptscsih mptfc mptspi mptsas
mptscsi mptbase ext3 jbd raid1 sata_nv libata sd_mod scsi_mod

        Pid: 22213, comm: phase2.lnx24.am Tainted: PF     2.6.9-34.ELsmp 
RIP: 0010:[<ffffffff802a61e7>] <ffffffff802a61e7>{__kfree_skb+181} 
RSP: 0000:ffffffff8044d078  EFLAGS: 00010246 
RAX: 0000000000000100 RBX: 00000100831b5dc0 RCX: 0000000000000019 
RDX: 0000000000000000 RSI: 0000000000001000 RDI: 0000010174ac1b80 
RBP: 0000010174ac1b80 R08: 0000000000001000 R09: 0000007fbfff6900 
R10: 0000007fbfff6900 R11: 000001000c005340 R12: 0000010174ac1b80 
R13: 0000000000000000 R14: 00000100249c3f58 R15: 0000007fbfff6968 
FS:  0000002a957516c0(0000) GS:ffffffff804d7b00(0000) knlGS:000000005557b560

CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033 
CR2: 0000002ab1f62008 CR3: 0000000000101000 CR4: 00000000000006e0 
Process phase2.lnx24.am (pid: 22213, threadinfo 00000100249c2000, task
00000101713d77f0) 
Stack: 0000000000000000 000001010e6185c0 000001000c005340 ffffffff802ab2ac 
       0000007fbfff6900 0000007fbfff6900 0000000000000001 ffffffff804d8920 
       000000000000000a ffffffff8013be04 
Call Trace:<IRQ> <ffffffff802ab2ac>{net_tx_action+113}
<ffffffff8013be04>{__do_softirq+88} 
       <ffffffff8013bead>{do_softirq+49} <ffffffff801130eb>{do_IRQ+328} 
       <ffffffff8011078f>{ret_from_intr+0}  <EOI> 

        Code: ff 95 b8 00 00 00 48 8b 95 d0 00 00 00 48 85 d2 74 10 f0 ff 
RIP <ffffffff802a61e7>{__kfree_skb+181} RSP <ffffffff8044d078> 


If needed we can provide a coredump file:
33600 -rw-------     1 netdump netdump 39526400 Oct 16 18:09
vmcore-incomplete-mdoccn29
Comment 1 RHEL Product and Program Management 2007-05-09 05:13:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Thomas Graf 2007-05-10 04:13:38 EDT
Hi Benedikt,

I notice you are using a tainted kernel with proprietary kernel modules. Please
reproduce the problem without these modules, otherwise it's not possible for me
to debug the problem.

Thanks.
Comment 3 RHEL Product and Program Management 2007-09-07 15:39:51 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Benedikt Schaefer 2007-09-10 02:39:47 EDT
Dear Thomas,

We replaced the node and updated the kernel to 2.6.9-55.0.2.
We don't see the problem any more.

best regards
Benedikt

Note You need to log in before you can comment on or make changes to this bug.